Bug 832549 - f17 systemd becomes desespeate in enabling dbus-org.freedesktop.NetworkManager.service but it does no exists (really?) and Network Manager is disabled (i do use network.service)
f17 systemd becomes desespeate in enabling dbus-org.freedesktop.NetworkManage...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 13:42 EDT by Reartes Guillermo
Modified: 2013-08-01 09:02 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:01:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2012-06-15 13:42:32 EDT
Description of problem:

I do not use Network Manager for this system, but please check (the .service name/unit stuff, if it does make sense) before reassigning the bugreport to systemd.

NetworkManager is disabled.
Network is enabled.

The system is working normally, but my logs are flooded by messages like this:

Jun 15 13:31:16 XXXX dbus-daemon[1163]: dbus[1163]: [system] Activating via systemd: service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
Jun 15 13:31:16 XXXX dbus[1163]: [system] Activating via systemd: service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
Jun 15 13:31:16 XXXX dbus[1163]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.
Jun 15 13:31:16 XXXX dbus-daemon[1163]: dbus[1163]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.

# systemctl status NetworkManager.service
NetworkManager.service - Network Manager
          Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/NetworkManager.service

# systemctl status network.service
network.service - LSB: Bring up/down networking
          Loaded: loaded (/etc/rc.d/init.d/network)
          Active: active (exited) since Thu, 14 Jun 2012 13:47:28 -0300; 24h ago
          CGroup: name=systemd:/system/network.service

Jun 14 13:47:26 XXXX.XX network[1154]: Bringing up loopback interface:  [  OK  ]
Jun 14 13:47:26 XXXX.XX network[1154]: Bringing up interface p33p1:  [  OK  ]
Jun 14 13:47:28 XXXX.XX network[1154]: Bringing up interface br0:  [  OK  ]

The messages refers to "dbus-org.freedesktop.NetworkManager.service" as a UNIT.

# systemctl status dbus-org.freedesktop.NetworkManager.service
dbus-org.freedesktop.NetworkManager.service
          Loaded: error (Reason: No such file or directory)
          Active: inactive (dead)

# systemctl status org.freedesktop.NetworkManager.service
org.freedesktop.NetworkManager.service
          Loaded: error (Reason: No such file or directory)
          Active: inactive (dead)
          
But it is not?

# systemctl -a --full | grep -i dbus-org.freedesktop.NetworkManager.service
 Oh, wait, systemctl might not tell me if it exists...
 (Bug 748512 - RFE: "systemctl --all" does not really list all)

# systemctl -a --full | grep -i NetworkManager
NetworkManager-wait-online.service                                                                     loaded inactive dead          Network Manager Wait Online
NetworkManager.service                                                                                 loaded inactive dead          Network Manager

# systemctl status NetworkManager-wait-online.service
NetworkManager-wait-online.service - Network Manager Wait Online
          Loaded: loaded (/usr/lib/systemd/system/NetworkManager-wait-online.service; disabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/NetworkManager-wait-online.service

I don't really know what this service really does, but it is disabled.

What is this "dbus-org.freedesktop.NetworkManager.service" service/unit or nomenclature ?? 

# cat /var/log/messages| grep -i failed | grep -i systemd | grep -i dbus-org.freedesktop.NetworkManager.service | wc -l
116

Version-Release number of selected component (if applicable):
F17 (installed from F17-KDE-LiveCD (X86_64).

kernel: 3.4.0-1.fc17.x86_64

systemd.x86_64           44-12.fc17     @updates
systemd-analyze.x86_64   44-12.fc17     @updates
systemd-sysv.x86_64      44-12.fc17     @updates

NetworkManager.x86_64       1:0.9.4.0-9.git20120521.fc17   @updates
NetworkManager-glib.x86_64  1:0.9.4.0-9.git20120521.fc17   @updates 

NetworkManager-openconnect.x86_64 0.9.4.0-3.fc17  @updates 

NetworkManager-openvpn.x86_64  1:0.9.3.997-1.fc17 @koji-override-0/$releasever
NetworkManager-pptp.x86_64     1:0.9.3.997-1.fc17 @koji-override-0/$releasever
NetworkManager-vpnc.x86_64     1:0.9.3.997-1.fc17 @koji-override-0/$releasever

How reproducible:
allways

Actual results:
/var/log/messages is flooded flooded by this message, i am not able to determine if the service even exists!

Expected results:
that depends, first i need to know if there is something that is failing.

Additional info:
Comment 1 Vesa Ruokonen 2012-06-28 09:31:15 EDT
The same problem occurs on F16 too.

dbus-1.4.10-3.fc16.x86_64
systemd-37-25.fc16.x86_64
NetworkManager-0.9.4-6.git20120521.fc16.x86_64
Comment 2 Luc Lalonde 2012-07-04 10:19:11 EDT
yum provides "*/dbus-org.freedesktop.NetworkManager.service*"

gives 'No Matches found' for F17-x86_64

And I too am getting errors of this type when I disable the NetworkManager and replace it with the old 'network' startup script:

Jul  4 09:58:43 aeneas dbus-daemon[806]: dbus[806]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.
Comment 3 Jirka Klimes 2012-07-25 08:40:50 EDT
dbus-org.freedesktop.NetworkManager.service is an alias for NetworkManager.service
used D-Bus/systemd interaction in bus activation.
When a D-Bus call for NM is issued, D-Bus passes activation request to systemd that fails to activate NM because NM is disabled. And D-Bus logs the failure.

See also bug 815243.
And you may be interested in http://0pointer.de/blog/projects/three-levels-of-off.html

Anyway, the log messages comes from D-Bus, thus reassigning to it.
I wonder if there is a loglevel configuration for D-Bus.
Comment 4 Fedora Admin XMLRPC Client 2013-02-22 10:18:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-02-22 10:24:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 udo 2013-02-22 10:29:11 EST
Jira, I wonder why we cannot completely remove NM.
The dependency hell is completely unnecessary and is causing issues.
The modularity 'idea' is completely missing in Fedora and is the root cause of issues like this.
Packages run with an idea of what is there but that idea is not always valid.
There is no off button.
There is no way to remove stuff.
There is no guideline for modularity.
There is no channel to get this idea into mainstream among packagers.

So when will this minor issue be fixed?
And the root cause?
Comment 7 dhaval thakar 2013-06-04 07:07:40 EDT
I get same error every time I open Firefox.

Ver
NetworkManager-0.9.8.1-3.git20130514.fc18.x86_64
Comment 8 Fedora End Of Life 2013-07-04 00:15:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 09:02:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.